import prisma from "@/lib/prisma";
import { Context } from "elysia";
import minio, { MINIO_BUCKET } from "@/lib/minio";

const menuTipsKeamananDelete = async (context: Context) => {
    const id = context.params?.id as string;

    if (!id) {
        return {
            status: 400,
            body: "ID tidak diberikan",
        };
    }

    const tipsKeamanan = await prisma.menuTipsKeamanan.findUnique({
        where: { id },
        include: {
            image: true,
        },
    });

    if (!tipsKeamanan) {
        return {
            status: 404,
            body: "Tips keamanan tidak ditemukan",
        };
    }

    // Hapus file gambar dari filesystem jika ada
    if (tipsKeamanan.image) {
        try {
            await minio.removeObject(MINIO_BUCKET, `${tipsKeamanan.image.path}/${tipsKeamanan.image.name}`);
            await prisma.fileStorage.delete({
                where: { id: tipsKeamanan.image.id },
            });
        } catch (err) {
            console.error("Gagal hapus gambar lama:", err);
        }
    }

    // Hapus tips keamanan dari database
    const deleted = await prisma.menuTipsKeamanan.delete({
        where: { id },
    });

    return {
        success: true,
        message: "Sukses Menghapus menu tips keamanan",
        data: deleted,
    };
};
export default menuTipsKeamananDelete;